"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.OutboundLink = OutboundLink;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function OutboundLink(props) {
  return /*#__PURE__*/_react["default"].createElement("a", _extends({}, props, {
    onClick: function onClick(e) {
      if (typeof props.onClick === "function") {
        props.onClick(e);
      }

      var redirect = true;

      if (e.button !== 0 || e.altKey || e.ctrlKey || e.metaKey || e.shiftKey || e.defaultPrevented) {
        redirect = false;
      }

      if (props.target && props.target.toLowerCase() !== "_self") {
        redirect = false;
      }

      if (window.analytics) {
        window.analytics.track(props.eventName ? props.eventName : "Click", {
          category: props.categoryName ? props.categoryName : "Outbound Link",
          label: props.href
        }, null, function () {
          if (redirect) {
            document.location = props.href;
          }
        });
      } else {
        if (redirect) {
          document.location = props.href;
        }
      }

      return false;
    }
  }));
}

OutboundLink.propTypes = {
  href: _propTypes["default"].string,
  target: _propTypes["default"].string,
  onClick: _propTypes["default"].func,
  eventName: _propTypes["default"].string,
  categoryName: _propTypes["default"].string
};